## ros-one-sound-play 0.3.18-0jammy.20251023.0333

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(sound_play)

find_package(catkin REQUIRED COMPONENTS message_generation roscpp actionlib_msgs)

add_action_files(DIRECTORY action FILES SoundRequest.action)
add_message_files(DIRECTORY msg FILES SoundRequest.msg)

include_directories(include ${catkin_INCLUDE_DIRS})

catkin_python_setup()

generate_messages(DEPENDENCIES actionlib_msgs)

catkin_package(CATKIN_DEPENDS message_runtime actionlib_msgs
               INCLUDE_DIRS include)

catkin_install_python(PROGRAMS
  scripts/is_speaking.py
  scripts/playbuiltin.py
  scripts/play.py
  scripts/say.py
  scripts/shutup.py
  scripts/soundplay_node.py
  scripts/test.py
  scripts/test_actionlib_client.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(FILES
  soundplay_node.launch
  sound_play_plugin.yaml
  test.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(DIRECTORY sounds
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# if(CATKIN_ENABLE_TESTING)
#   catkin_add_nosetests(scripts/test)
#   add_subdirectory(test)
# endif()

=== test/CMakeLists.txt ===
add_executable(test_sound_play test.cpp)
target_link_libraries(test_sound_play ${catkin_LIBRARIES})
add_dependencies(test_sound_play sound_play_gencpp)
set_target_properties(test_sound_play PROPERTIES OUTPUT_NAME test)

=== debian/changelog ===
ros-one-sound-play (0.3.18-0jammy.20251023.0333) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Austin Hendrix <namniart@gmail.com>  Thu, 23 Oct 2025 03:33:43 +0000

ros-one-sound-play (0.3.18-0jammy) jammy; urgency=high

  * Merge pull request #249 <https://github.com/ros-drivers/audio_common/issues/249> from peci1/patch-1
    festival_plugin: add support for different encodings
  * festival_plugin: add support for different encodings
  * Contributors: Martin Pecka, Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Tue, 13 Aug 2024 00:00:00 -0000

ros-one-sound-play (0.3.17-0jammy) jammy; urgency=high

  * Merge pull request #231 <https://github.com/ros-drivers/audio_common/issues/231> from knorth55/no-wait-mode
  * dont wait when rospy.Duration(0) is set for timeout
  * Merge pull request #229 <https://github.com/ros-drivers/audio_common/issues/229> from furushchev/flite-plugin-lazy-load
    FlitePlugin: Lazy loading default voice path
  * FlitePlugin: Lazy loading default voice path
  * Contributors: Shingo Kitagawa, Yuki Furuta

 -- Austin Hendrix <namniart@gmail.com>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-sound-play (0.3.16-0jammy) jammy; urgency=high

  * Merge pull request #203 <https://github.com/ros-drivers/audio_common/issues/203> from nakane11/timeout
  * refactor libsoundplay.py
  * Add timeout to wait_for_server and wait_for_result
  * Contributors: Aoi Nakane, Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Fri, 23 Dec 2022 00:00:00 -0000

ros-one-sound-play (0.3.15-0jammy) jammy; urgency=high

  * Merge pull request #200 <https://github.com/ros-drivers/audio_common/issues/200> from knorth55/yaml-missing
  * show error and skip loading when plugin yaml is missing
  * Merge pull request #199 <https://github.com/ros-drivers/audio_common/issues/199> from knorth55/install-plugin-yaml
  * fix missing install in CMakeLists.txt
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Mon, 29 Aug 2022 00:00:00 -0000

ros-one-sound-play (0.3.14-0jammy) jammy; urgency=high

  * Merge pull request #193 <https://github.com/ros-drivers/audio_common/issues/193> from knorth55/refactor-soundplay-node
  * refactor soundplay_node.py
  * Merge pull request #192 <https://github.com/ros-drivers/audio_common/issues/192> from knorth55/fix-file-open-issue
  * fix typo causing file open issue
  * Merge pull request #191 <https://github.com/ros-drivers/audio_common/issues/191> from knorth55/flite-default-voice-dir
  * add default voice dir for flite_plugin
  * Merge pull request #190 <https://github.com/ros-drivers/audio_common/issues/190> from ros-drivers/knorth55-patch-1
  * Update soundplay_node.py
  * Merge pull request #187 <https://github.com/ros-drivers/audio_common/issues/187> from knorth55/fix-typo
  * fix typo in soundplay_node.py
  * Merge pull request #185 <https://github.com/ros-drivers/audio_common/issues/185> from knorth55/sound-play-flite-plugin
    add flite plugin for sound_play
  * Merge pull request #183 <https://github.com/ros-drivers/audio_common/issues/183> from knorth55/sound-play-plugin
    add soundplay plugin feature
  * add flite in sound_play dependency
  * refactor FestivalPlugin
  * add flite plugin
  * change default_voice to None
  * add plugin arg in soundplay_node.launch
  * refactor codes
  * add output screen in soundplay_node.launch
  * add soundplay plugin attribute
  * Merge pull request #184 <https://github.com/ros-drivers/audio_common/issues/184> from knorth55/default-voice
  * add default_voice in soundplay_node.launch
  * Merge pull request #182 <https://github.com/ros-drivers/audio_common/issues/182> from iory/is-speaking
  * Improve is_speaking by checking goal status
  * Merge pull request #181 <https://github.com/ros-drivers/audio_common/issues/181> from knorth55/refactor-is-speaking
  * refactor is_speaking.py
  * Contributors: JSK fetch user, Shingo Kitagawa, iory

 -- Austin Hendrix <namniart@gmail.com>  Thu, 18 Aug 2022 00:00:00 -0000

ros-one-sound-play (0.3.13-0jammy) jammy; urgency=high

  * Merge pull request #176 <https://github.com/ros-drivers/audio_common/issues/176> from iory/is-speeching
  * Add is_speaking.py to catkin_install_python
  * Fixed name speeching to speaking
  * Add is_speeching node for checking robot is speaking
  * Contributors: Shingo Kitagawa, iory

 -- Austin Hendrix <namniart@gmail.com>  Thu, 07 Apr 2022 00:00:00 -0000

ros-one-sound-play (0.3.12-0jammy) jammy; urgency=high

  * Merge pull request #175 <https://github.com/ros-drivers/audio_common/issues/175> from iory/rate
    Modified loop rate for action execution
  * Modified loop rate for action execution
  * Merge pull request #131 <https://github.com/ros-drivers/audio_common/issues/131> from yann-bourrigault/master
    Handle playing sound in loop
  * import GObject in try section
  * Merge pull request #174 <https://github.com/ros-drivers/audio_common/issues/174> from iory/cache
    Add arg2 information for cache
  * Add arg2 information for cache
  * Merge pull request #173 <https://github.com/ros-drivers/audio_common/issues/173> from knorth55/replace-sound-client
  * Merge pull request #172 <https://github.com/ros-drivers/audio_common/issues/172> from knorth55/start-action-after-init
    [sound_play] start ActionServer after initialize in soundplay_node.py
  * Merge pull request #171 <https://github.com/ros-drivers/audio_common/issues/171> from knorth55/set-aborted
    [sound_play] add proper set_aborted in soundplay_node.py
  * add replace in sendMsg
  * start actionserver after initialize in soundplay_node.py
  * add proper set_aborted in soundplay_node.py
  * Merge branch 'master' into master
  * Handle playing sound repeatedly
  * Contributors: Shingo Kitagawa, Yann BOURRIGAULT, iory

 -- Austin Hendrix <namniart@gmail.com>  Wed, 01 Sep 2021 00:00:00 -0000

ros-one-sound-play (0.3.11-0jammy) jammy; urgency=high



=== debian/control ===
Source: ros-one-sound-play
Section: misc
Priority: optional
Maintainer: Austin Hendrix <namniart@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-one-actionlib, ros-one-actionlib-msgs, ros-one-audio-common-msgs, ros-one-catkin, ros-one-diagnostic-msgs, ros-one-message-generation, ros-one-roscpp, ros-one-roslib
Homepage: http://ros.org/wiki/sound_play
Standards-Version: 3.9.2

Package: ros-one-sound-play
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, festival, festvox-kallpc16k, flite, gir1.2-gst-plugins-base-1.0, gir1.2-gstreamer-1.0, gstreamer1.0-alsa, gstreamer1.0-plugins-base, gstreamer1.0-plugins-good, gstreamer1.0-plugins-ugly, gstreamer1.0-tools, libgstreamer-plugins-base1.0-0, libgstreamer-plugins-good1.0-0, libgstreamer1.0-0, python3-gi, ros-one-actionlib-msgs, ros-one-audio-common-msgs, ros-one-diagnostic-msgs, ros-one-message-runtime, ros-one-resource-retriever, ros-one-roscpp, ros-one-roslib, ros-one-rospy
Description: sound_play provides a ROS node that translates commands on a ROS topic (robotsound) into sounds.
 The node supports built-in sounds, playing OGG/WAV files, and doing speech synthesis via festival. C++ and Python bindings allow this node to be used without understanding the details of the message format, allowing faster development and resilience to message format changes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-sound-play//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-sound-play 0.3.18-0jammy.20260221.0013

=== debian/changelog ===
ros-one-sound-play (0.3.18-0jammy.20260221.0013) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Austin Hendrix <namniart@gmail.com>  Sat, 21 Feb 2026 00:13:07 +0000

## ros-one-sound-play 0.3.18-0noble.20260221.0040

=== debian/changelog ===
ros-one-sound-play (0.3.18-0noble.20260221.0040) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Austin Hendrix <namniart@gmail.com>  Sat, 21 Feb 2026 00:40:09 +0000

ros-one-sound-play (0.3.18-0noble) noble; urgency=high

  * Merge pull request #249 <https://github.com/ros-drivers/audio_common/issues/249> from peci1/patch-1
    festival_plugin: add support for different encodings
  * festival_plugin: add support for different encodings
  * Contributors: Martin Pecka, Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Tue, 13 Aug 2024 00:00:00 -0000

ros-one-sound-play (0.3.17-0noble) noble; urgency=high

  * Merge pull request #231 <https://github.com/ros-drivers/audio_common/issues/231> from knorth55/no-wait-mode
  * dont wait when rospy.Duration(0) is set for timeout
  * Merge pull request #229 <https://github.com/ros-drivers/audio_common/issues/229> from furushchev/flite-plugin-lazy-load
    FlitePlugin: Lazy loading default voice path
  * FlitePlugin: Lazy loading default voice path
  * Contributors: Shingo Kitagawa, Yuki Furuta

 -- Austin Hendrix <namniart@gmail.com>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-sound-play (0.3.16-0noble) noble; urgency=high

  * Merge pull request #203 <https://github.com/ros-drivers/audio_common/issues/203> from nakane11/timeout
  * refactor libsoundplay.py
  * Add timeout to wait_for_server and wait_for_result
  * Contributors: Aoi Nakane, Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Fri, 23 Dec 2022 00:00:00 -0000

ros-one-sound-play (0.3.15-0noble) noble; urgency=high

  * Merge pull request #200 <https://github.com/ros-drivers/audio_common/issues/200> from knorth55/yaml-missing
  * show error and skip loading when plugin yaml is missing
  * Merge pull request #199 <https://github.com/ros-drivers/audio_common/issues/199> from knorth55/install-plugin-yaml
  * fix missing install in CMakeLists.txt
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Mon, 29 Aug 2022 00:00:00 -0000

ros-one-sound-play (0.3.14-0noble) noble; urgency=high

  * Merge pull request #193 <https://github.com/ros-drivers/audio_common/issues/193> from knorth55/refactor-soundplay-node
  * refactor soundplay_node.py
  * Merge pull request #192 <https://github.com/ros-drivers/audio_common/issues/192> from knorth55/fix-file-open-issue
  * fix typo causing file open issue
  * Merge pull request #191 <https://github.com/ros-drivers/audio_common/issues/191> from knorth55/flite-default-voice-dir
  * add default voice dir for flite_plugin
  * Merge pull request #190 <https://github.com/ros-drivers/audio_common/issues/190> from ros-drivers/knorth55-patch-1
  * Update soundplay_node.py
  * Merge pull request #187 <https://github.com/ros-drivers/audio_common/issues/187> from knorth55/fix-typo
  * fix typo in soundplay_node.py
  * Merge pull request #185 <https://github.com/ros-drivers/audio_common/issues/185> from knorth55/sound-play-flite-plugin
    add flite plugin for sound_play
  * Merge pull request #183 <https://github.com/ros-drivers/audio_common/issues/183> from knorth55/sound-play-plugin
    add soundplay plugin feature
  * add flite in sound_play dependency
  * refactor FestivalPlugin
  * add flite plugin
  * change default_voice to None
  * add plugin arg in soundplay_node.launch
  * refactor codes
  * add output screen in soundplay_node.launch
  * add soundplay plugin attribute
  * Merge pull request #184 <https://github.com/ros-drivers/audio_common/issues/184> from knorth55/default-voice
  * add default_voice in soundplay_node.launch
  * Merge pull request #182 <https://github.com/ros-drivers/audio_common/issues/182> from iory/is-speaking
  * Improve is_speaking by checking goal status
  * Merge pull request #181 <https://github.com/ros-drivers/audio_common/issues/181> from knorth55/refactor-is-speaking
  * refactor is_speaking.py
  * Contributors: JSK fetch user, Shingo Kitagawa, iory

 -- Austin Hendrix <namniart@gmail.com>  Thu, 18 Aug 2022 00:00:00 -0000

ros-one-sound-play (0.3.13-0noble) noble; urgency=high

  * Merge pull request #176 <https://github.com/ros-drivers/audio_common/issues/176> from iory/is-speeching
  * Add is_speaking.py to catkin_install_python
  * Fixed name speeching to speaking
  * Add is_speeching node for checking robot is speaking
  * Contributors: Shingo Kitagawa, iory

 -- Austin Hendrix <namniart@gmail.com>  Thu, 07 Apr 2022 00:00:00 -0000

ros-one-sound-play (0.3.12-0noble) noble; urgency=high

  * Merge pull request #175 <https://github.com/ros-drivers/audio_common/issues/175> from iory/rate
    Modified loop rate for action execution
  * Modified loop rate for action execution
  * Merge pull request #131 <https://github.com/ros-drivers/audio_common/issues/131> from yann-bourrigault/master
    Handle playing sound in loop
  * import GObject in try section
  * Merge pull request #174 <https://github.com/ros-drivers/audio_common/issues/174> from iory/cache
    Add arg2 information for cache
  * Add arg2 information for cache
  * Merge pull request #173 <https://github.com/ros-drivers/audio_common/issues/173> from knorth55/replace-sound-client
  * Merge pull request #172 <https://github.com/ros-drivers/audio_common/issues/172> from knorth55/start-action-after-init
    [sound_play] start ActionServer after initialize in soundplay_node.py
  * Merge pull request #171 <https://github.com/ros-drivers/audio_common/issues/171> from knorth55/set-aborted
    [sound_play] add proper set_aborted in soundplay_node.py
  * add replace in sendMsg
  * start actionserver after initialize in soundplay_node.py
  * add proper set_aborted in soundplay_node.py
  * Merge branch 'master' into master
  * Handle playing sound repeatedly
  * Contributors: Shingo Kitagawa, Yann BOURRIGAULT, iory

 -- Austin Hendrix <namniart@gmail.com>  Wed, 01 Sep 2021 00:00:00 -0000

ros-one-sound-play (0.3.11-0noble) noble; urgency=high
